ข้ามไปยังเนื้อหา
เดโมสด

เที่ยวบิน

What a cancellation would refund, before you commit.

get/v1/flights/orders/{orderId}/refund-quote

  • ต้องยืนยันตัวตน

พารามิเตอร์

ชื่อตำแหน่งชนิดคำอธิบาย
orderId*พาธstring

การตอบกลับ

200OKRefundQuoteResponse

  • orderIdstring
  • refundableboolean
  • Money

    Money on the wire: decimal string (never a float) + ISO 4217.

    • amountstring
    • currencystring
  • Money

    Money on the wire: decimal string (never a float) + ISO 4217.

    • amountstring
    • currencystring
  • TicketQuote[]
    • numberstringเป็น null ได้
    • Money

      Money on the wire: decimal string (never a float) + ISO 4217.

    • Money

      Money on the wire: decimal string (never a float) + ISO 4217.

ตัวอย่างโค้ด

โปรแกรมสมบูรณ์ที่ลงนามคำขอแบบเดียวกับที่เกตเวย์ใช้ตรวจสอบ แทนที่ YOUR_KEY_ID และ YOUR_SECRET

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/flights/orders/ZnVWRmFQNlNQQlE5V0N2bHZnPT0/refund-quote\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X GET "https://api.dubaitrip.com/v1/flights/orders/ZnVWRmFQNlNQQlE5V0N2bHZnPT0/refund-quote" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"